//
//  df_stream.c
//  
//
//  Created by Matt Stern on 11/15/13.
//
//

#include <inttypes.h>
#include <stdio.h>

typedef struct {
    volatile uint8_t arr[5000];
} df_stream;

uint8_t df_get(df_stream* stream, uint32_t idx){
    return stream->arr[idx];
}

void df_set(df_stream* stream, uint32_t idx, uint8_t val){
    stream->arr[idx] = val;
}

void df_cpy(df_stream* dest, df_stream* src, uint32_t dest_start, uint32_t src_start, uint32_t size){
    for ( ; size > 0; size--){
        df_set(dest, dest_start, df_get(src, src_start));
        dest_start++;
        src_start++;
    }
}
